Oracle 8.0.5 with TD 5.1 connection problem on Vista

General discussion forum about all databases other than SqlBase.
filiz

Oracle 8.0.5 with TD 5.1 connection problem on Vista

Post by filiz » 28 Jan 2008, 13:23

Hello,

This is my problem when I connect TD 5.1 with Oracle on vista Using SQL TALK;

sql error 9293
09293 GCI NDL Connot load any communication DLLs, network may not be installed


But , I connected TD 5.1 with Oracle on Windows XP with some Sql.ini file.

Best Regards,
Filiz Guler

Jean-Marc Gemperle

Re: Oracle 8.0.5 with TD 5.1 connection problem on Vista

Post by Jean-Marc Gemperle » 29 Jan 2008, 18:43

Hi,

You really can't use ORACLE 8.0 with TD, you cannot do that since TD 3.10 I believe, pleople that wanted to do that at the time with the latest TD version had to use an old SQLORA32.DLL, now you cannot do that with TD 5.1. We certify 9i and up to 11g. Oracle 8i ie 8.1.6 should work, but not certified...

Cheers
JM

filiz

Re: Oracle 8.0.5 with TD 5.1 connection problem on Vista

Post by filiz » 29 Jan 2008, 22:10

Hi,
Thanks for your concern.

I can connect by using to TD 5.1 to Oracle 8.0.5 and Oracle 10g on windows XP.
But I can not connect to oracle 8.0.5 and oracle 10g by using to Vista.
So I can not connect to by using old and new SQLORA.DLL on vista.

Best Regards,

Filiz

Jean-Marc Gemperle

Re: Oracle 8.0.5 with TD 5.1 connection problem on Vista

Post by Jean-Marc Gemperle » 30 Jan 2008, 20:28

Hi,
I can connect by using to TD 5.1 to Oracle 8.0.5 and Oracle 10g on windows XP.
But I can not connect to oracle 8.0.5 and oracle 10g by using to Vista.
You mean you use the client 10g to connect to server 8.0.5 or reverse? What I say here is that the client version matter to get connected:

If you you can connect to ORACLE using 8.0.5 client using latest TD versions and this on XP I'm suprised...but I might have be wrong in my previous post when I told you you can't connect when using a client that is not above 8i. I guess I confused the other way arround that is OLD TD application ie : TD 2.10 against oracle 8i would not connect...not sure anymore...

In Any case since TD 4.1 and above we do certify only ORACLE 9i to 10g and 11g with TD 5.1.

Regarding the error
sql error 9293
09293 GCI NDL Connot load any communication DLLs, network may not be installed
This mean means generally that the SQLORA32.DLL and it dependencie can't load at its turn other needed dependencies for some reasons....SqlORA32.DLL depends on OCI.DLL... Use wdepends on sqlora32.dll and check if dependencies are satisfied.
By the way can you connect with SQLPLUS on VISTA using 8.0.5 client?

If both client and sever are 10g and you use TD 5.10 on VISTA then you should not get this problem, this is what I'm using.

All in all if you manage to connect ultimately using a 8.0.5 client, you are not in a certified envronment as far as TD is concerned, even from ORACLE point of view on vista I would believe...not sure though.

JM

jmcnamara

Re: Oracle 8.0.5 with TD 5.1 connection problem on Vista

Post by jmcnamara » 31 Jan 2008, 18:02

I don't know about the TD driver set because we use OLEDB, but Oracle 10g has separate client install programs for XP and Vista. We found out the hard way with a failed Vista install. Started over with the correct product and everything works fine.

Return to “General Discussion”

Who is online

Users browsing this forum: [Ccbot] and 2 guests